<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

include_once 'inc/functions.php';

access('adm_rekl_black_list', null, 'index.php' . SID);

$set['title'] = lang('История'); // заголовок страницы

include_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/reklama/'>" . lang('Реклама') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('История');
echo "</small></div><br />";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl_story`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}

$q = mysql_query("SELECT * FROM `rekl_story` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q)) {
    $ank = get_user($post['id_user']);

    echo "<div class='list-group-item-null'>\n";
    echo user($ank['id']);
    echo " <small style='color: grey;'>" . date::times($post['time']) . "</small><br />";
    echo 'Название: ' . $post['name'] . '<br />';
    echo 'Ссылка: ' . $post['link'] . '<br />';
    if ($post['img'] != NULL) {
        echo 'Картинка: <img src="' . $post['img'] . '" /><br />';
    }
    echo 'Время: ' . vremja_sek($post['time_rekl']) . '<br />';
    if ($post['sel'] == 1) {
        $sel = 'Под заголовком';
    } elseif ($post['sel'] == 2) {
        $sel = 'Главное меню';
    } elseif ($post['sel'] == 3) {
        $sel = 'Низ сайта (главная)';
    } elseif ($post['sel'] == 4) {
        $sel = 'Низ сайта (остальные)';
    }
    echo 'Место: ' . $sel . '<br />';
    echo "Потрачено: <span style='color: green;'><i class='fa fa-money fa-fw'></i> $post[money]</span>";
    echo "</div>\n";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

include_once H . 'sys/inc/tfoot.php';
